

.trouble-section {
    /* background-color: #f9f9f9; */
    padding: 40px 0px;
    text-align: center;
}

.trouble-header {
    position: relative;
    text-align: center;
    margin-bottom: 40px;
    overflow: hidden; /* オーバーフローを防ぐ */
}

.trouble-background {
    font-size: clamp(30px, 20vw, 90px); /* 動的なフォントサイズ調整 */
    color: rgba(0, 122, 204, 0.1); /* 薄い青色 */
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 0;
    white-space: nowrap;
    letter-spacing: 12px;
}

.trouble-title {
    position: relative;
    z-index: 1;
    font-size: 36px;
    color: #333;
    font-weight: 500;
}

.trouble-list-img {
  width: 100%; /* 画像を親要素の幅にフィット */
  max-width: 800px; /* 最大幅を指定 */
  height: auto; /* アスペクト比を維持 */
  margin: 0 auto; /* 中央寄せ */
  display: block; /* ブロック要素として扱う */
  margin-bottom: 20px;
}

.content-section {
    background-color: #eaf7ff;
    padding: 40px 0px;
    text-align: left;
}


.content-container {
    display: flex;
    align-items: flex-start; /* 左右のコンテンツを上揃えにする */
    justify-content: center;
    flex-wrap: wrap;
    gap: 40px;
    max-width: 1200px;
    margin: 0 auto 40px auto;
}

.content-image img {
    width: 100%;
    height: auto;
    margin-top: 30px;
}

.content-text {
    max-width: 453px;
}

.content-text h2 {
    font-size: 24px;
    margin: 0 0 10px 15px;
    border-left: 2px solid #00aaff;
    padding-left: 10px;
    color: #333;
    letter-spacing: 5px;
}

.section-divider {
    border: none;
    border-bottom: 1px solid rgba(192,192,192);
    margin: 10px 0 20px 0;
    width: 100%; /* 下線の長さを調整 */
}

.content-text p {
    font-size: 11px;
    line-height: 1.8;
    color: #555;
}

.content-text .highlight {
    color: #00aaff;
}

.content-image {
    max-width: 450px;
    margin-top: 10px;
}

.content-image img {
    width: 100%;
    height: auto;
}


.trouble-sports-section {
    padding: 40px 0px;
    text-align: center;
}


.content-sports-container {
    padding: 20px;
    margin: 40px;
    text-align: left;
    max-width: 800px;
    display: inline-block;
}

.content-sports-image img {
    width: 100%;
    height: auto;
}


/* スマホ表示用スタイル */
@media screen and (max-width: 960px) {

  .trouble-title {
      font-size: 20px; /* タイトルのフォントサイズを縮小 */
  }

  .trouble-background {
      font-size: clamp(20px, 20vw, 60px); /* さらに小さい画面用に調整 */
  }

  .trouble-list-img{
    max-width: 370px;
  }

    .content-container {
        /* flex-direction: column-reverse;  */
        flex-direction: column;
        align-items: center;
        gap: 0px;
        padding: 0 20px;
    }

    .content-text {
        max-width: 370px;
    }

    .content-text h2 {
        font-size: 20px;
    }

    .content-text p {
        font-size: 12px;
    }

    .section-divider {
        width: 100%; /* スマホ表示時は下線を全幅に */
    }

    .content-image {
        max-width: 370px;
        margin-top: 0px;
    }

    .content-sports-container {
      margin: 0;
      padding: 0;
      max-width: 370px;
    }

    .content-section {
        padding: 20px 0px;
    }

    .trouble-sports-section{
      padding:10px 0;
    }


}
